STransactionStats.Active (Oracle - Berkeley DB Client-Server API)
Date: 2018-05-29

com.sleepycat.client

## Class STransactionStats.Active

- java.lang.Object
- - com.sleepycat.client.STransactionStats.Active

- Enclosing class:
    STransactionStats

      public static class STransactionStats.Active
      extends java.lang.Object

- - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `SLogSequenceNumber` | `getLsn()` The log sequence number of the transaction's first log record.
    `int` | `getMultiversionRef()` The number of buffer copies created by this transaction that remain in cache.
    `java.lang.String` | `getName()` The transaction name, including the thread name if available.
    `int` | `getParentId()` The transaction ID of the parent transaction (or 0, if no parent).
    `int` | `getPid()` The process ID of the process that owns the transaction.
    `int` | `getPriority()` This transaction's deadlock resolution priority.
    `SLogSequenceNumber` | `getReadLsn()` The log sequence number of reads for snapshot transactions.
    `int` | `getTxnId()` The transaction ID of the transaction.
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### getTxnId

          public int getTxnId()

      The transaction ID of the transaction.
      Returns:
        the transaction ID of the transaction

    - #### getParentId

          public int getParentId()

      The transaction ID of the parent transaction (or 0, if no parent).
      Returns:
        the transaction ID of the parent transaction (or 0, if no parent)

    - #### getPid

          public int getPid()

      The process ID of the process that owns the transaction.
      Returns:
        the process ID of the process that owns the transaction

    - #### getLsn

          public SLogSequenceNumber getLsn()

      The log sequence number of the transaction's first log record.
      Returns:
        the log sequence number of the transaction's first log record

    - #### getReadLsn

          public SLogSequenceNumber getReadLsn()

      The log sequence number of reads for snapshot transactions.
      Returns:
        the log sequence number of reads for snapshot transactions

    - #### getMultiversionRef

          public int getMultiversionRef()

      The number of buffer copies created by this transaction that remain in cache.
      Returns:
        the number of buffer copies created by this transaction that remain in cache

    - #### getPriority

          public int getPriority()

      This transaction's deadlock resolution priority.
      Returns:
        this transaction's deadlock resolution priority

    - #### getName

          public java.lang.String getName()

      The transaction name, including the thread name if available.
      Returns:
        the transaction name, including the thread name if available

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright (c) 2016, 2018 Oracle and/or its affiliates. All rights reserved.